Child pages
  • Deployment Guides

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 4.0

System Compatibility

Prior to installing Muradora, you might want to check our system compatibility matrix to ensure you have a setup that is known to work.

Using the Installer

If you would like an easy installation method on a Linux/Unix system, you can download muradora-allinone package, unpack it and run the "install.sh" script inside. It will then take you through the installation process with some prompting. You will need to have created the necessary databases required by fedora (eg. fedora and riTriples) and Muradora (ie. muradoralog database for statistics gathering) prior to running the install script.

When running the installation package, we recommend you use Postgresql databases for Fedora and its RDF triplestore (i.e. use the "localPostgreSQLPool" and "localPostgresMPTTriplestore" settings in fedora.fcfg), as well as our bundled Tomcat rather than your existing Tomcat.